Index: trunk/FACT++/dim/src/webDid/webTcpip.c
===================================================================
--- trunk/FACT++/dim/src/webDid/webTcpip.c	(revision 14939)
+++ trunk/FACT++/dim/src/webDid/webTcpip.c	(revision 15282)
@@ -163,6 +163,6 @@
 	{
 		dna_connp->buffer =
-				(int *) realloc(dna_connp->buffer, size);
-		memset(dna_connp->buffer, 0, size);
+				(int *) realloc(dna_connp->buffer, (size_t)size);
+		memset(dna_connp->buffer, 0, (size_t)size);
 		dna_connp->buffer_size = size;
 	}
@@ -288,8 +288,8 @@
 	{
 		sscanf(node,"%d.%d.%d.%d",&a, &b, &c, &d);
-	    ipaddr[0] = a;
-	    ipaddr[1] = b;
-	    ipaddr[2] = c;
-	    ipaddr[3] = d;
+	    ipaddr[0] = (unsigned char)a;
+	    ipaddr[1] = (unsigned char)b;
+	    ipaddr[2] = (unsigned char)c;
+	    ipaddr[3] = (unsigned char)d;
 		if( (host = gethostbyaddr(ipaddr, sizeof(ipaddr), AF_INET)) == (struct hostent *)0 )
 		{
